#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""Setup script"""

import configparser
import setuptools

config = configparser.ConfigParser()
config.read('setup.cfg')

setuptools.setup(
    scripts=['nc_password_client/nc_password_client.py'],
    author="Antonio J. Delgado",
    version=config['metadata']['version'],
    name=config['metadata']['name'],
    author_email="ad@susurrando.com",
    url="https://repos.susurrando.com/adelgado/nc_password_client",
    description="Nextcloud Password client",
    packages=setuptools.find_packages(),
    zip_safe=False,
    include_package_data=True,
    long_description="README.md",
    long_description_content_type="text/markdown",
    license="GPLv3",
    platforms='any',
    # keywords=["my", "script", "does", "things"]
)
